> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/docs/developers/api-documentation/product-group/update-product-group.md).

# Update product group

Update details for a product group. Partial updates are allowed.

If scope is set and different from current scope, the scope is changed for product group and all children for this product group.

On parent UID field:

* Set to a valid product group UID to move under a new parent.
* Set to empty string to remove the parent and make the product group a root group.
* Omit to keep the current parent.

Required permissions: PRODUCT\_GROUP

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"ProductGroup","description":"ProductGroup"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"ProductGroupUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupUpdateRequestSchema"}}}}},"schemas":{"ProductGroupUpdateRequestSchema":{"title":"ProductGroupUpdateRequestSchema","type":"object","properties":{"name":{"type":"string"},"externalId":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"},"ProductGroupScopeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| SALE | Sale product scope. Default|\n| SERVICE | Service product scope|\n| NO_SEARCH | Not visible in search scope|\n","minLength":1,"title":"ProductGroupScopeENUM","type":"string","enum":["SALE","SERVICE","NO_SEARCH"]},"ProductGroupResponseSchema":{"title":"ProductGroupResponseSchema","type":"object","properties":{"createdAt":{"format":"date-time","type":"string"},"externalId":{"type":"string"},"hasChildren":{"description":"True when the product group has one or more subgroups.","type":"boolean"},"lastModifiedAt":{"format":"date-time","type":"string"},"name":{"type":"string"},"parentUid":{"$ref":"#/components/schemas/OptionalUID"},"productCount":{"description":"Number of products in this productGroup.","type":"integer"},"productGroupUid":{"$ref":"#/components/schemas/UID"},"scope":{"$ref":"#/components/schemas/ProductGroupScopeENUM"}},"required":["createdAt","externalId","hasChildren","lastModifiedAt","name","parentUid","productCount","productGroupUid","scope"]},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"ProductGroupResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProductGroupResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/product-groups/{productGroupUid}":{"put":{"description":"Update details for a product group. Partial updates are allowed.\n\nIf scope is set and different from current scope, the scope is changed for product group and all children for this product group.\n\nOn parent UID field:\n- Set to a valid product group UID to move under a new parent.  \n- Set to empty string to remove the parent and make the product group a root group.  \n- Omit to keep the current parent.\n\nRequired permissions: PRODUCT_GROUP\n","operationId":"put-tenants-product-groups-details","requestBody":{"$ref":"#/components/requestBodies/ProductGroupUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/ProductGroupResponse"}},"summary":"Update product group","tags":["ProductGroup"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.flowretail.com/docs/developers/api-documentation/product-group/update-product-group.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
